Name:		xvidcap
Summary:	Screen capture video recorder
Version:	1.1.7
Release:	%mkrel 5
Source:		http://downloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz
Patch0:		xvidcap-1.1.5-mdv-docbook.patch
Patch1:		xvidcap-1.1.7-mdv-fix-headers.patch
Patch2:		xvidcap-1.1.5-mdv-nawk.patch
Patch3:		xvidcap-1.1.7-mdv-desktop-entry.patch
Patch4:		xvidcap-1.1.7-mdv-ffmpeg-options.patch
Patch5:		xvidcap-1.1.7-mga-glib-disable_single_includes.patch
Patch6:		xvidcap-1.1.7-mga-undefined-references.patch
Patch7:		xvidcap-1.1.7-mga-external_ffmpeg.patch
Patch8:		xvidcap-1.1.7-mga-ffmpeg0.11.patch
Patch9:		xvidcap-1.1.7-automake-1.13.patch
URL:		http://xvidcap.sourceforge.net/
License:	GPLv2+
Group:		Video/Editors and Converters
BuildRequires:	docbook-utils xmlto
BuildRequires:	gtk2-devel jpeg-devel png-devel zlib-devel 
BuildRequires:	libglade2.0-devel
BuildRequires:	libtheora-devel
BuildRequires:	libxmu-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:  libffmpeg-devel
Requires:	mplayer
Requires:	mencoder
Requires:	ffmpeg
Requires:	imagemagick

%description
xvidcap is a screen capture enabling you to capture videos off your X-Window
desktop for illustration or documentation purposes. It is intended to be a
standards-based alternative to tools like Lotus ScreenCam.

%prep
%setup -q
%patch0 -p0 -b .docbook
%patch1 -p1
%patch2 -p0 -b .fixawk
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
#patch8 -p0
%patch9 -p0

NOCONFIGURE=yes sh ./autogen.sh
intltoolize --copy --force

%build
%configure2_5x --disable-dependency-tracking --enable-libtheora --without-forced-embedded-ffmpeg
%make

%install
rm -rf %{buildroot} %{name}.lang

%makeinstall_std

chmod 755 %{buildroot}%{_datadir}/%{name}/ppm2mpeg.sh
ln -s %{_datadir}/%{name}/ppm2mpeg.sh %{buildroot}%{_bindir}/ppm2mpeg.sh

rm -fr %{buildroot}/%{_docdir}

for omf in %{buildroot}%{_datadir}/omf/*/*-??.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%{buildroot}!!)" >> %{name}.lang
done

%find_lang %{name} --with-gnome


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/xvidcap-dbus-client
%{_bindir}/ppm2mpeg.sh
%_datadir/dbus-1/services/net.jarre_de_the.Xvidcap.service
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(it) %{_mandir}/it/man1/*
%{_datadir}/applications/xvidcap.desktop
%{_datadir}/%{name}
%dir %{_datadir}/omf/*
%{_datadir}/omf/*/*.omf
%{_datadir}/pixmaps/%{name}.png




%changelog

* Tue Jan 22 2013 fwang <fwang> 1.1.7-5.mga3
+ Revision: 391117
- do not use recent ffmpeg
- fix build with latest automake
- detect newer ffmpeg symbol

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - update RPM group

* Thu May 31 2012 fwang <fwang> 1.1.7-3.mga3
+ Revision: 252013
- drop old ldflags swtich

* Wed Feb 08 2012 tavvva <tavvva> 1.1.7-2.mga3
+ Revision: 206243
- patched to use external ffmpeg

* Sat Jan 28 2012 tavvva <tavvva> 1.1.7-1.mga2
+ Revision: 202572
- imported package xvidcap

